﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public fm As FirebaseMessaging

End Sub

Public Sub SubscribeToTopics
		
'	fm.unSubscribeFromTopic("yel") 'this will make it get a new Token every time
	fm.SubscribeToTopic("yel")
'	Log($"Token(${fm.Token})"$)	'	
'	Log("Just Token " & fm.Token)
	CallSubDelayed2("Main","UpdateToken",fm.Token)	
	
End Sub

Sub fm_TokenRefresh
	
	CallSubDelayed2("Main","SendNewToken",fm.Token)
	
End Sub
Sub Service_Create
	fm.Initialize("fm")
	SubscribeToTopics
End Sub

Sub Service_Start (StartingIntent As Intent)
	If StartingIntent.IsInitialized And fm.HandleIntent(StartingIntent) Then Return
End Sub

Sub fm_MessageArrived (Message As RemoteMessage)
	Log("Message arrived")
'	ToastMessageShow(($"Message data: ${Message.GetData}"$),True)
' Toast message for regular message, pop up confirm box for new orders

	Dim msgTitle, msgBody As String
	Dim ordernum As Int
	
	msgTitle=Message.GetData.Get("title")
	msgBody=Message.GetData.Get("message")
	If (msgTitle.trim="New Order") Then			
		ordernum=Message.GetData.Get("subtitle")
		CallSubDelayed3("MainMenu","Download_order",ordernum,msgBody)
	Else 
		Dim n As Notification
		n.Initialize
		n.Icon = "icon"
'		n.SetInfo(Message.GetData.Get("title"), Message.GetData.Get("message"), MainMenu)
		n.SetInfo(msgTitle, msgBody, MainMenu)
		n.Notify(1)
'		ToastMessageShow(Message.GetData.Get("title"),True)
		ToastMessageShow(msgBody,True)
		CallSubDelayed3("MainMenu","Add_Message",msgTitle,msgBody)
	End If
End Sub

Sub Service_Destroy

End Sub
