﻿Type=Activity
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim CurrentTab As Int
	Dim TabCount As Int : TabCount=2
	Dim TabHeight As Int
	Dim TabsEnabled(TabCount) As Boolean
	Dim TabsVisibility(TabCount) As Boolean
	Dim SQLdb As SQL
	Dim dispatch_itDir As String
	
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim Thost As TabHost
	Dim goback As Button
	Dim TabManager As TabHostExtras
	Dim dbString As String
	Dim Cursors As Cursor
	Dim outlist As CustomListView
	Dim complist As CustomListView
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Dim i As Int
	Dim j As Int
	Dim liststring As String

	Activity.LoadLayout("OrderList")
	If FirstTime Then
		CurrentTab=1
		TabHeight=42
	End If
	For i=0 To TabCount-1
		TabsEnabled(i)=True
		TabsVisibility(i)=True
	Next
	
	dispatch_itDir = File.Combine(File.DirDefaultExternal,"/dispatch_it")
	SQLdb.Initialize(dispatch_itDir, "dispatchit.db",False)	
	dbString= "SELECT * from orderstbl WHERE status<>3"
	Cursors = SQLdb.ExecQuery(dbString)
	j=0
	
	For i = 0 To Cursors.RowCount - 1
		Cursors.Position = i
		j=i+1
		liststring = "Order #: " & Cursors.GetString("orderno") & "   Pick up Time: " & Cursors.GetString("pickup_time") & CRLF
		liststring = liststring & "Customer: " & Cursors.GetString("custname") & CRLF
		liststring = liststring & "Address: " & Cursors.GetString("custaddr") & CRLF
		liststring = liststring & "Drop off: " & Cursors.GetString("dropaddr") & CRLF
		
		If (Cursors.GetString("comment") <> "") Then
			liststring = liststring & "Comment: " & Cursors.GetString("comment") & CRLF
		End If	
		Log(liststring)
		Log(j)
		outlist.AddTextItem(liststring,j)
		
		Log("after add")
	Next
	Cursors.Close
	    	
	dbString= "SELECT orderno,custname,custaddr,dropaddr,comment,pickup_time,drop_time from orderstbl WHERE status=3"
	Cursors = SQLdb.ExecQuery(dbString)
	j=0
	
	For i = 0 To Cursors.RowCount - 1
		Cursors.Position = i
		j=i+1		
		liststring = "Order #: " & Cursors.GetString("orderno") & "   Pick up Time: " & Cursors.GetString("pickup_time") & CRLF
		liststring = liststring & "Customer: " & Cursors.GetString("custname") & CRLF
		liststring = liststring & "Address: " & Cursors.GetString("custaddr") & CRLF
		liststring = liststring & "Drop off: " & Cursors.GetString("dropaddr") & CRLF
		liststring = liststring & "Dropped Time: " & Cursors.Getstring("drop_time") & CRLF
		
		If (Cursors.GetString("comment") <> "") Then
			liststring = liststring & "Comment: " & Cursors.GetString("comment") & CRLF
	End If
		
		complist.AddTextItem(liststring,j)
	Next
	Cursors.Close
	
	Thost.Initialize("Thost")
	Thost.AddTab("Tab#1","outlist")
	Thost.AddTab("Tab#2","complist")
	'	set the TabIndicator TextSize to 20dip
	TabManager.setTabTextSize(Thost, 20)
	TabManager.setTabTextColorStateList(Thost, "tab_widget_text_colors")
	
End Sub

Sub Activity_Resume
	Thost.CurrentTab=CurrentTab
	Dim i As Int
	For i=0 To TabCount-1
		TabManager.setTabEnabled2(Thost, TabsEnabled(i), i)
		TabManager.setTabVisibility2(Thost, TabsVisibility(i), i)
	Next
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
