﻿Type=Activity
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@

#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim dispatch_itDir As String
	Dim SQLd As SQL
	Dim SQL_str, OrderUrl As String
	
	OrderUrl = "http://192.168.124.40/dispatch/download_order.php"
'	OrderUrl = "http://www.dyconsulting.net/dispatch/download_order.php"
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private NotificationBadge1 As NotificationBadge
	Private NotificationBadge2 As NotificationBadge

	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("MainMenu")
	
	dispatch_itDir = File.Combine(File.DirDefaultExternal,"/dispatch_it")
	Update_Badge1
	Update_Badge2	

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Send_Decline(orderno As Int)
	
End Sub

Sub Add_Message(msgtitle As String, msgtext As String)
	
	Private SQLmsg As SQL
	Dim SQL_str As String
	Dim thisdate As String
	Dim thistime As String
	
	SQLmsg.Initialize(dispatch_itDir, "dispatchit.db",False)
	DateTime.DateFormat="yyyy-MM-dd"
	thisdate = DateTime.Date(DateTime.Now)
	DateTime.TimeFormat="hh:mm:ss"
	thistime = DateTime.Time(DateTime.Now)

' status = 1 means unread 0 = read
	SQL_str = "INSERT INTO msgtbl (msgFrom, msgTime,message,msgStatus) VALUES ('" & msgtitle & "','" & thisdate & " " & thistime & "','" & msgtext & "','1')"
	SQLmsg.ExecNonQuery(SQL_str)
	Update_Badge2

End Sub

Sub Update_Badge1
	
	Private SQLbadge1 As SQL
	Dim badge1_str As String
	Dim Cursor1 As Cursor
	Dim badge1Total As Int
	
	SQLbadge1.Initialize(dispatch_itDir, "dispatchit.db",False)
	badge1_str = "SELECT * from orderstbl WHERE status<>3"
	Cursor1 = SQLbadge1.ExecQuery(badge1_str)
	badge1Total = Cursor1.RowCount
	If (badge1Total > 0) Then
		NotificationBadge1.Visible = True
		NotificationBadge1.Number = badge1Total
	Else
		NotificationBadge2.Visible = False
	End If
	Cursor1.Close
	SQLbadge1.Close
	
End Sub

Sub Update_Badge2
	
	Private SQLbadge2 As SQL
	Dim badge2_str As String
	Dim Cursor2 As Cursor	
	Dim badge2Total As Int	
	
	SQLbadge2.Initialize(dispatch_itDir, "dispatchit.db",False)
	badge2_str = "SELECT * from msgtbl WHERE msgStatus =1"
	Cursor2 = SQLbadge2.ExecQuery(badge2_str)
	badge2Total = Cursor2.RowCount
	If (badge2Total > 0) Then
		NotificationBadge2.Visible = True
		NotificationBadge2.Number = badge2Total
	Else
		NotificationBadge2.Visible = False
	End If
	Cursor2.Close
	SQLbadge2.Close	
	
End Sub

Sub Download_Order(orderno As Int,msg As String)
	
	Dim confirmOK As Int
	Dim passData As String
	Dim sTitle As String
	
	sTitle = "New Order # " & orderno
	confirmOK = Msgbox2(msg,sTitle,"Accept","","Decline",Null)
	If (confirmOK =  DialogResponse.POSITIVE) Then
'		passData = "order=" & orderno & "&status=1"
		Log(passData)
		Dim OrderJob As HttpJob
		OrderJob.Initialize("OrderJob",Me)
		OrderJob.Download2(OrderUrl,Array As String ("order", orderno, "status","1"))
	End If
	If (confirmOK = DialogResponse.NEGATIVE) Then
		passData = "order=" & orderno & "status=5"
		Dim RejectJob As HttpJob
		RejectJob.initialize("RejectJob",Me)		
		RejectJob.PostString(OrderUrl,passData)		
	End If

	
	
End Sub

Sub JobDone (Job As HttpJob)

'	Log("JobName = " & Job.JobName & ", Success = " & Job.Success & " string="& Job.GetString)
	If Job.Success = False Then
		ToastMessageShow("Error: " & Job.ErrorMessage, True)
		Job.Release
	Else
	'	Job.Release
		If (Job.JobName = "OrderJob") Then	
			Dim res As String
			Dim parser As JSONParser
			Dim listOrder As List
			Dim order_no As Int
			Dim order_date As String
			Dim customername As String
			Dim customeraddr As String
			Dim drop_addr As String
			Dim pick_time As String
			Dim drop_time As String
			Dim comments As String
			Dim curstatus As Int
			Dim Hour As Int
			Dim Minutes As Int
			Dim Meridian As String
						
			Dim SQLu As SQL
			Dim updatestr As String	
			Dim SQL_str1 As String
			Dim Cursor_jd As Cursor

			
			res = Job.GetString
			parser.Initialize(res)
			listOrder = parser.NextArray
			Dim Orderdata As Map
			Orderdata = listOrder.Get(0)
			order_no = Orderdata.Get("orderid")
			order_date = Orderdata.Get("orderdate")
			customername = Orderdata.Get("custname")
			customeraddr = Orderdata.Get("address")
			drop_addr = Orderdata.Get("client_addr")
			pick_time = Orderdata.Get("time_to_pick")
			comments = Orderdata.Get("comment")
			curstatus = Orderdata.Get("status")
			drop_time = "00:00"
			' change pick time to AM/PM
			Hour = pick_time.SubString2(0,2)
			Minutes = pick_time.SubString2(3,5)
			If (Hour < 12) Then Meridian = " AM"
			If (Hour = 12) Then Meridian = " PM"
			If (Hour > 12) Then	
				Hour = Hour - 12
				Meridian = " PM"
			End If
			
			pick_time = NumberFormat(Hour, 2, 0) & ":" & NumberFormat(Minutes, 2, 0) & Meridian
			
			SQLu.Initialize(dispatch_itDir, "dispatchit.db",False)
			SQL_str1 = "SELECT * from orderstbl WHERE orderno=" & order_no
			Cursor_jd = SQLu.ExecQuery(SQL_str1)
			If (Cursor_jd.RowCount=0) Then
				updatestr = "INSERT INTO orderstbl (orderno,orderdate,custname,custaddr,dropaddr,comment,pickup_time,drop_time,status) VALUES ('" & order_no & "','" & order_date & "','" & customername & "','" & customeraddr & "','" & drop_addr & "','" & comments & "','" & pick_time & "','" & drop_time & "','" & curstatus & "')"
			Else 
				updatestr = "update orderstbl set custname='" & customername & "', custaddr='" & customeraddr & "', dropaddr='" & drop_addr & "', comment='" & comments & "', pickup_time='" & pick_time & "', status=" & curstatus & " where orderno = " & order_no
			End If
			SQLu.ExecNonQuery(updatestr)			
			Cursor_jd.Close
			SQLu.Close
			Update_Badge1
		End If
	End If
	
End Sub


Sub orders_Click
	
	StartActivity("OrderMenu")
	
End Sub

Sub messages_Click
	
End Sub

